LP112 - Bug #344

NPUOODOD
06/15/2023 01:53 PM - [0

Status: Closed Start date: 06/14/2023
Priority: High Due date:
Assignee: Linx % Done: 0%
Category: S.W Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
00: LZ112 0o: Ubuntu
CPU: RK3399Pro 0ooo0: Linux LPA3399Pro 4.4.194
0g: APPO[ :
go/oooooon: - gooo:
poooooo: 01 gooo:
go/oooooon: 01 poooo:
ooon: 1z112_3399pro_ubuntu18.04_v1.0_2023 [EMMCIU :

0612_1704
Description
OOixterminall0000ps -elf |grep npu*000npul 00000000
goooo
npul00000

1f|grep npu*

root@.PA2399Pro:~# ps
3 6 80 8@ - 1115 pipe w 082:38 pts/@ 00:00:00 grep —color=auto npu*

0 S root

root@LPA33
B S root

ps -elf |grep npu# i
o 80 © - 23761 futex_ ©3:53 ? 00:00:0
8 B0 0O - 1115 pipe w 853:37 ;

5 fusr/bin/npu_transfer_proxy
8 grep —color=auto npu*

000rc.locall0OOO0

COMPATIBLE=%(cat oroc/device-tree
it [ $COMPATIBLE = "rk3399pro" ]
itthen
Jusr/bin/npu-image.sh
leep 1

Jusr/bin/npu_transfer proxy &

"E'F'i

History

#1 - 07/03/2023 10:19 AM - [0
- File clipboard-202307031016-qu3vu.png added

- Status changed from New to Closed

Lz11200Ubuntu18.0400000
03-image/rk3399pro-linux/LZ112/1z112_3399pro_ubuntu18.04_v1.0_20230627_1033

10NnPUODOOOO
0000oooooooDDDDDD
root@LPA33299Pro: /home/neardi/demos /mob ilenet_w1_demo#
X T

8 5 root 325 1 1 88 B - 83156 futex 02:1

® S root 4034 3442 © 80 0 - 1115 pipe w 02
root@LPA33299Pro: /home/neardi/demos /mobilenet_wl_demo#
sync_mode:
D RKMMNAPIL:
D RKMNNAPI:
D RKNNAPI:
[ RKMMNAPI:
[ RKNNAPI:

Without rknn_input 0t
D RKNNAPI: _ can_use_fixed point: use_fixed_point = 1.

avg time: 8.58 ms, fps
Include rknn_input
vg time:

RKNMAPI :
D RKNNAPI:
D RKNMNAPI:
D RKNMNAPI:
D RKNNAPI:

Without rknn_input

D RKNNAPI: _ can_use_ fixed point: use_fixed peoint = 1.

avg time: 4.32 ms, fps = 231.66

Include rknn_input nn_outputs_get:

avg time: 6.

root@_PA3399 - emos /mobilenet_wv1_demo#

Files

transfer_proxy
Uto hpu_tran=
